Skip to main content
GET
Get a single line item of a payable

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

line_item_id
string<uuid>
required
payable_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
payable_id
string<uuid>
required
accounting_tax_rate_id
string<uuid>

ID of the tax rate reference used for accounting integartion. May be used to override auto-picked tax rate reference in accounting platform in case of any platform-specific constraints.

Example:

"dd13735f-ef3a-4312-8c37-835d70341375"

description
string

Description of the product.

ledger_account_id
string<uuid>

ID of the account record used to store bookkeeping entries for balance-sheet and income-statement transactions.

Example:

"7df884fd-8be8-4eba-b6ff-417b66efe033"

name
string

Name of the product.

ocr_set_quantity_to_one
boolean
default:false

Indicates whether the item's unit_price and quantity were adjusted by OCR.

Example:

false

quantity
number

The quantity of each of the goods, materials, or services listed in the payable.

Example:

1.22

subtotal
integer

The subtotal (excluding tax), in minor units.

Example:

1250

tax
integer

Tax rate in percent minor units. Example: 12.5% is 1250.

Example:

2000

tax_amount
integer

Tax amount in minor units. For example, $12.50 is represented as 1250.

Example:

250

total
integer

The actual price of the product.

Example:

1200

unit
string

The unit of the product

Example:

"meter"

unit_price
integer

The unit price of the product, in minor units. For example, $12.50 is represented as 1250.

Example:

1500

was_created_by_user_id
string<uuid>

ID of the user who created the tag.

Example:

"ea837e28-509b-4b6a-a600-d54b6aa0b1f5"